Update a Metric Instance
put
/api/metric/Instances/{id}
Updates the metric instance that matches the specified ID.
Request
Path Parameters
-
id(required): integer(int32)
The ID of the metric instance to update.Example:
1
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
DeviceName: string
The serialized device name. It can be the device name with the zone appended to the end or just the device name.
If you include the zone here, do not specify the DeviceZoneName or DeviceZoneID parameters.Example:router.example.com -
DeviceZoneName: string
The name of the device zone, if it is not appended to DeviceName. Deprecated. Use a serialized device name instead.Example:
Default First Zone -
InstanceTypeID: integer
Instance Type IDExample:
2
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Match All
Show Source
-
object
SuccessfulUpdateOperation
The response body for a successful update operation.
-
object
type
Nested Schema : SuccessfulUpdateOperation
Type:
objectThe response body for a successful update operation.
Show Source
-
message: string
The response message.Example:
Updated record -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
true
Nested Schema : type
Type:
Show Source
object-
data: array
data
-
total: integer
The total number of results regardless of paging.Example:
1
Nested Schema : metricInstancesRead
Type:
Show Source
object-
DeviceID: integer
The ID of the device associated with the metric instance.Example:
1281 -
DeviceName: string
The name of the device associated with the metric instance.Example:
router.example.com -
DeviceZoneID: string
The zone ID of the device associated with the metric instance.Example:
1 -
DeviceZoneName: string
The zone name of the device associated with the metric instance.Example:
Default First Zone -
InstanceID: integer
The metric instance ID.Example:
235035 -
InstanceName: string
The metric instance name.Example:
Example_Instance -
InstanceType: string
The metric instance type.Example:
SNMP Custom -
InstanceTypeID: integer
The ID of the metric instance type.Example:
2
Default Response
Failed operation
Root Schema : schema
Type:
Show Source
object-
errors: array
errors
The list of errors reported. Validation errors will be keyed by record field.
-
message: string
The response message.Example:
Exception thrown -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
false
Nested Schema : errors
Type:
arrayThe list of errors reported. Validation errors will be keyed by record field.
Show Source
-
Array of:
object items
An error.
Nested Schema : items
Type:
objectAn error.